Bug 1317636 - [RFE] Deep Flattening
Summary: [RFE] Deep Flattening
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RBD
Version: 1.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.0
Assignee: Jason Dillaman
QA Contact: Tanay Ganguly
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1322504 1343424
TreeView+ depends on / blocked
 
Reported: 2016-03-14 17:47 UTC by Federico Lucifredi
Modified: 2017-07-30 15:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.The `deep flatten` feature has been added Without the `deep flatten` feature, it is not possible to dissociate a clone from its parent if the clone has any snapshots. As a consequence, the parent image or snapshot cannot be deleted. With `deep flatten` enabled, it is possible to dissociate a clone from its parent and to delete no longer needed snapshots. The `deep flatten` feature must be enabled when creating an image. It is not possible to enable it on already existing images.
Clone Of:
: 1343424 (view as bug list)
Environment:
Last Closed: 2016-08-23 19:34:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1755 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Description Federico Lucifredi 2016-03-14 17:47:32 UTC
Description of problem:

Tracking bug for feature: https://trello.com/c/GQDzNHiJ

Already merged upstream.

Comment 2 Mike McCune 2016-03-28 22:46:32 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 7 Tanay Ganguly 2016-07-28 09:54:16 UTC
Marking it as Verified.

Comment 9 errata-xmlrpc 2016-08-23 19:34:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1755


Note You need to log in before you can comment on or make changes to this bug.